Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class PKIStatusInfo

`java.lang.Object
oracle.security.crypto.cmp.PKIStatusInfo`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class PKIStatusInfo
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

Nested Class Summary
`static class` | `PKIStatusInfo.Failure` Represents the set of failure codes which may appear in a `PKIStatusInfo` instance.
`static class` | `PKIStatusInfo.Status` Represents the set of status codes which may appear in a `PKIStatusInfo` instance.

Constructor Summary
`PKIStatusInfo()` Creates a new, empty `PKIStatusInfo`.
`PKIStatusInfo(java.io.InputStream is)`
`PKIStatusInfo(PKIStatusInfo.Status status)`
`PKIStatusInfo(PKIStatusInfo.Status status, PKIStatusInfo.Failure failure)`
`PKIStatusInfo(PKIStatusInfo.Status status, java.lang.String text)`
`PKIStatusInfo(PKIStatusInfo.Status status, java.lang.String text, PKIStatusInfo.Failure failure)`

Method Summary
`void` | `addFailure(PKIStatusInfo.Failure failure)` Adds a failure code to this `PKIStatusInfo`.
`void` | `addFailures(PKIStatusInfo.Failure[] failures)` Adds the failure codes to this `PKIStatusInfo`.
`void` | `addStatusText(java.lang.String text)`
`boolean` | `equals(java.lang.Object o)`
`PKIStatusInfo.Failure[]` | `getFailures()` Returns an array of `PKIStatusInfo.Failure`, or `null` if none are defined.
`PKIStatusInfo.Status` | `getStatus()`
`java.lang.String` | `getStatusText()` Returns the status descriptive text as a string.
`java.util.Vector` | `getStatusTexts()` Returns the status descriptive text as a vector of strings, or `null` if none are defined.
`boolean` | `hasFailure(PKIStatusInfo.Failure failure)` Tests whether this `PKIStatusInfo` contains the given failure code (multiple failure codes may be present).
`int` | `hashCode()`
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKIStatusInfo

    public PKIStatusInfo()

  Creates a new, empty `PKIStatusInfo`.

  Note: Since a valid instance must have at least the `Status` defined, this constructor is intended primarily for use with the `input(java.io.InputStream)` method.

### PKIStatusInfo

    public PKIStatusInfo(PKIStatusInfo.Status status)

### PKIStatusInfo

    public PKIStatusInfo(PKIStatusInfo.Status status,
                         java.lang.String text)

### PKIStatusInfo

    public PKIStatusInfo(PKIStatusInfo.Status status,
                         PKIStatusInfo.Failure failure)

### PKIStatusInfo

    public PKIStatusInfo(PKIStatusInfo.Status status,
                         java.lang.String text,
                         PKIStatusInfo.Failure failure)

### PKIStatusInfo

    public PKIStatusInfo(java.io.InputStream is)
                  throws java.io.IOException

Method Detail

### getStatus

    public PKIStatusInfo.Status getStatus()

### addStatusText

    public void addStatusText(java.lang.String text)

### getStatusText

    public java.lang.String getStatusText()

  Returns the status descriptive text as a string. Returns the first if one or more are defined, or `null` if none are defined.

### getStatusTexts

    public java.util.Vector getStatusTexts()

  Returns the status descriptive text as a vector of strings, or `null` if none are defined.

### addFailure

    public void addFailure(PKIStatusInfo.Failure failure)

  Adds a failure code to this `PKIStatusInfo`.

### addFailures

    public void addFailures(PKIStatusInfo.Failure[] failures)

  Adds the failure codes to this `PKIStatusInfo`.

### hasFailure

    public boolean hasFailure(PKIStatusInfo.Failure failure)

  Tests whether this `PKIStatusInfo` contains the given failure code (multiple failure codes may be present).

### getFailures

    public PKIStatusInfo.Failure[] getFailures()

  Returns an array of `PKIStatusInfo.Failure`, or `null` if none are defined.

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.